Page MenuHomePhabricator

More restrictive DMARC policy for the wikimedia.org domain
Open, NormalPublic

Description

The OTRS service received a complaint from the Mail.Ru Group company (one of the largest IT companies in Russia, providing mail services in the mail.ru, list.ru, bk.ru and other domains) that spam has recently been sent from the wikimedia.org domain. This is not news, spam from this domain has been known for many years (e. g. T103123). Due to constant spam, from which WMF is not protected in any way, Mail.Ru servers also reject emails from projects to mailing lists, which makes it impossible to use emails from this provider in Wikimedia projects.

There were already many tasks related to this problem, but all were closed without actually solving the problem: T57559, T136468, T144390, T210384, etc.

And by now, instead of solving the problems with DMARC, time and effort has been spent on banning the use of postal services that require correct policies: T137603.

It is necessary to understand whether there are currently any problems in order to use a more restrictive policy, and if there are no such, then go for it.

Event Timeline

putnik created this task.Dec 7 2018, 5:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2018, 5:56 AM
MaxBioHazard removed a subscriber: MaxBioHazard.
MaxBioHazard added a subscriber: MaxBioHazard.
SerDIDG added a subscriber: SerDIDG.Dec 7 2018, 6:00 AM
Reedy added a subscriber: Reedy.EditedDec 7 2018, 8:13 AM

There were already many tasks related to this problem, but all were closed without actually solving the problem: T57559, T136468, T144390, T210384, etc.

I don't think that's completely fair. Some received no further responses, so it's hard to do anything about them. Some were marked as duplicates.

I don't think that's completely fair. Some received no further responses, so it's hard to do anything about them Some were marked as duplicates.

@Reedy, sorry if I offended someone. My goal is not to blame anyone. It's just a long-standing question, the existence of the problem is known, but it has not been solved yet. I want to bring it to completion and will try to request additional information from the provider in the near future. I want this time the result of the task to be that emails actually reach the corresponding addresses.

putnik added a comment.Dec 8 2018, 4:36 PM

I received a response from Mail.Ru, and as a result, the first priority is T211477.

Krenair added a subscriber: Krenair.Dec 8 2018, 9:46 PM

It seems that the issue above is resolved. Are there any barriers to specifying p=quarantine or p=reject for the wikimedia.org domain now? I do not mention sp specifically, since there may be problems with mailing lists.

Dzahn moved this task from Backlog to DMARC on the Mail board.Dec 11 2018, 7:53 PM
herron triaged this task as Normal priority.Jan 4 2019, 4:42 PM